%global	gem_name	test-unit-rr

Summary:	Test::Unit::RR - RR adapter for Test::Unit
Name:		rubygem-%{gem_name}
Version:	1.0.5
Release:	1
# https://github.com/test-unit/test-unit-rr/issues/1
License:	LGPLv2+
URL:		http://rubyforge.org/projects/test-unit/
Source0:	http://rubygems.org/gems/%{gem_name}-%{version}.gem


Requires:	ruby(release)
BuildRequires:	ruby(release)

Requires:	ruby(rubygems) 
Requires:	rubygem(test-unit)
Requires:	rubygem(rr)
BuildRequires:	rubygems-devel 
BuildRequires:	rubygem(test-unit)
BuildRequires:	rubygem(rr)
BuildArch:	noarch
Provides:	rubygem(%{gem_name}) = %{version}-%{release}

%description
Test::Unit::RR - RR adapter for Test::Unit.


%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
# Gem repack
TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}

gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec

# Allow current test-unit version for now
sed -i \
	-e '/add_.*dependency.*test-unit/s|2.5.2|2.1.2|' \
	test-unit-rr.gemspec

# And for now change test-unit to test/unit
sed -i \
	-e '/require.*test-unit/s|^.*$|gem "test-unit"\nrequire "test/unit"|' \
	test/run-test.rb
sed -i \
	-e '/require/s|test-unit|test/unit|' \
	lib/test/unit/rr.rb 

gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR

popd
rm -rf tmpunpackdir

%build
%gem_install

# Permission
find . -type f -print0 | xargs --null chmod go-w

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/{Gemfile,Manifest.txt,Rakefile,*.gemspec}

%check
pushd .%{gem_instdir}
ruby -Ilib test/run-test.rb

%files
%dir	%{gem_instdir}
%{gem_libdir}/
%exclude	%{gem_cache}
%{gem_spec}

%doc	%{gem_instdir}/[A-Z]*
%doc	%{gem_instdir}/doc/

%files doc
%doc	  %{gem_docdir}/
%exclude  %{gem_instdir}/test/

%changelog
* Thu Mar 3 2022 caodongxia<caodongxia@huawei.com> - 1.0.5-1
- Init package
